@keyframes dialog-fadein {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
@keyframes dialog-fadeout {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}
@keyframes dialog-rotation {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(359deg);
  }
}
.dialog {
  position: fixed;
  overflow: auto;
  -webkit-overflow-scrolling: touch;
  z-index: 1111;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}
.dialog-scrollbar-measure {
  position: absolute;
  top: -9999px;
  width: 50px;
  height: 50px;
  overflow: scroll;
}
.dialog-overlay {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 1111;
  background-color: rgba(234, 243, 251, 0.8);
  animation: dialog-fadein 0.5s;
}
.dialog-overlay.dialog-closing {
  animation: dialog-fadeout 0.5s forwards;
}
.vex-content {
  position: absolute;
  top: 0;
  left: 50%;
  width: 960px;
  max-width: 100%;
  margin: 0 auto;
  padding: 1.5rem;
  background: #fff;
  border-radius: 0.33rem;
  -ms-transform: translateX(-50%);
  transform: translateX(-50%);
  animation: dialog-fadein 0.5s;
  box-shadow: 0 7px 14px 0 rgba(140, 164, 175, 0.15), 0 3px 6px 0 rgba(140, 164, 175, 0.3);
  border: 1px solid #d0d8dc;
  color: #4a535a;
}
.vex-content .form-group .form-control,
.vex-content .form-group > input,
.vex-content .form-group > select,
.vex-content .form-group > .form-checkbox,
.vex-content .form-group > .form-radio {
  -ms-flex: 0 0 50%;
      flex: 0 0 50%;
  padding-left: 1rem;
}
.vex-content .form-group > label {
  font-size: 1.2rem;
  margin-right: 2rem;
}
.vex-content .form-group > label p {
  width: 200px;
  margin-left: auto;
  margin-right: 0;
}
.vex-content table {
  font-size: 0.9rem;
}
.vex-content table thead {
  border-bottom: 1px solid rgba(140, 164, 175, 0.3);
}
.vex-content table thead tr {
  display: block;
  position: relative;
}
.vex-content table thead th {
  padding: 0;
  text-align: center;
}
.vex-content table tbody {
  display: block;
  overflow: auto;
  width: 100%;
  height: 480px;
  margin-top: 0;
}
.vex-content table tr:not(:first-of-type) {
  border-top: none;
}
.vex-content table td,
.vex-content table th {
  padding: 0.25rem 0;
  min-width: 114px;
  text-align: center;
}
.vex-content table td:first-of-type,
.vex-content table th:first-of-type {
  padding-left: 0.5rem;
}

.vex-content table.variable-award-matrix td,
.vex-content table.variable-award-matrix th {
  padding: 0.25rem 0;
  width: 10%;
  text-align: center;
  display: inline-block;
  float: left;
  line-height: 29px;
}

/*
.vex-content table.variable-award-matrix td:first-of-type,
.vex-content table.variable-award-matrix th:first-of-type {
  padding-left: 0.5rem;
  width: 10%;
}
*/

.vex-content table.variable-award-matrix {
    font-size: 0.8rem;
    border: 1px solid rgba(98, 127, 141, 0.3);
    width: 100%;
}

.vex-content table.variable-award-matrix input.inline {
    font-size: 0.8rem;
    width: 100%;
    border-radius: 0;
    border-right: none;
    border-bottom: none;
    text-align: right;
    margin-top: -1px;
}

.vex-content table.variable-award-matrix tr {
    border-top: none;
    display: flex;
}

.vex-content table.variable-award-matrix .form-checkbox label {
    padding-left: 1rem;
}

.vex-content table.variable-award-matrix .form-checkbox label:before {
    width: 15px;
    height: 15px;
}

.vex-content table.variable-award-matrix td, .vex-content table.variable-award-matrix th {
    padding: 0;
    flex: auto;
    min-width: auto;
}

.dialog-.dialog-closing .vex-content {
  animation: dialog-fadeout 0.5s forwards;
}
.dialog-close:before {
  font-family: Arial, sans-serif;
  content: "\00D7";
}
.vex-dialog-button {
  position: relative;
  display: inline-block;
  padding: 0.5675rem 0.9rem;
  margin: 0;
  background-color: #2486d4;
  background-image: linear-gradient(#3e97de, #2486d4);
  border-radius: 0.33rem;
  border: 1px solid #1f73b5;
  color: #fff;
  font-size: 0.9rem;
  font-family: 'Libre Franklin', 'Helvetica Neue', system-ui, sans-serif;
  line-height: 1;
  text-decoration: none;
  cursor: pointer;
}
.vex-dialog-button:disabled {
  opacity: 0.8;
  cursor: not-allowed;
}
.vex-dialog-button:focus,
.vex-dialog-button:active {
  outline: none;
  background-color: #1f73b5;
  background-image: linear-gradient(#2486d4, #1f73b5);
}
.vex-dialog-button.with-icon {
  padding-left: 1.75rem;
}
.vex-dialog-button.with-icon .icon {
  position: absolute;
  top: 50%;
  left: 0.675rem;
  -ms-transform: translateY(-50%);
      transform: translateY(-50%);
}
.vex-dialog-button.with-icon.small {
  padding-left: 1.5rem;
}
.vex-dialog-button.with-icon.small .icon {
  left: 0.5rem;
  width: 9px;
}
.vex-dialog-button.secondary {
  background-color: #fff;
  background-image: linear-gradient(#fff, #f9fcfe);
  border: 1px solid rgba(140, 164, 175, 0.3);
  box-shadow: 0 1px 3px rgba(140, 164, 175, 0.3);
  color: #163752;
}
.vex-dialog-button.secondary:focus,
.vex-dialog-button.secondary:active {
  background-color: #eee;
  background-image: linear-gradient(#fbfbfb, #f0f6f8);
}
.vex-dialog-button.danger {
  border: 1px solid #bc222d;
  background-color: #bc222d;
  background-image: linear-gradient(#af1f2a, #911a23);
  color: #fff;
}
.vex-dialog-button.danger:focus,
.vex-dialog-button.danger:active {
  background-color: #911a23;
  background-image: linear-gradient(#9a1c25, #841820);
}
.vex-dialog-button.small {
  padding: 0.3rem 0.4rem;
  font-size: 0.9rem;
}
.vex-dialog-button.large {
  padding: 0.735rem 1.2rem;
  font-size: 1rem;
}
.vex-dialog-button.right {
  float: right;
}
.vex-dialog-button.pinned-right {
  position: absolute;
  top: 1.5rem;
  right: 1.5rem;
}
.vex-dialog-button.loading:before {
  content: '';
  box-sizing: border-box;
  position: absolute;
  top: 50%;
  left: 50%;
  width: 20px;
  height: 20px;
  margin-top: -10px;
  margin-left: -10px;
  border-radius: 50%;
  border: 2px solid #adbec5;
  border-top-color: #344750;
  animation: spinner .6s linear infinite;
}
.vex-dialog-button.loading:before {
  border: 2px solid #eaf3fb;
  border-top-color: #2486d4;
}
.vex-dialog-button.loading span {
  visibility: hidden;
}
.dialog-loading-spinner {
  animation: dialog-rotation 0.7s linear infinite;
  box-shadow: 0 0 1em rgba(0, 0, 0, 0.1);
  position: fixed;
  z-index: 1112;
  margin: auto;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  height: 2em;
  width: 2em;
  background: #fff;
}
body.dialog-open {
  overflow: hidden;
}
body.dialog-open .content {
  opacity: 0.25;
}
.vex-dialog-message {
  margin-bottom: 1rem;
  overflow-y: auto;
  /*height: 600px;*/
}

/*MZ*/
.dialog-short .vex-dialog-message {
  height: 300px;
}

.dialog-short1 .vex-dialog-message {
  height: 240px;
}

.dialog-tiny .vex-dialog-message {
  /*height: 100px;*/
}

.dialog-tiny .vex-content {
  width: 300px;
}

/*MZ*/
.dialog-medium .vex-dialog-message {
  height: 500px;
}

.dialog-medium1 .vex-dialog-message table tbody {
  height: auto;
}

.dialog-medium1 .vex-dialog-message {
  height: 400px;
}

.dialog.medium2 .vex-content {
  height: 540px;
  width: 600px;
}

.dialog-wider .vex-dialog-message {
  width: 1200px;
}

/*MZ*/
.dialog.small .vex-content {
  width: 500px;
  padding: 1rem;
}

.vex-dialog-button {
  position: relative;
  display: inline-block;
  padding: 0.5675rem 0.9rem;
  margin: 0;
  background-color: #2486d4;
  background-image: linear-gradient(#3e97de, #2486d4);
  border-radius: 0.33rem;
  border: 1px solid #1f73b5;
  color: #fff;
  font-size: 0.9rem;
  font-family: 'Libre Franklin', 'Helvetica Neue', system-ui, sans-serif;
  line-height: 1;
  text-decoration: none;
  cursor: pointer;
  background-color: #fff;
  background-image: linear-gradient(#fff, #f9fcfe);
  border: 1px solid rgba(140, 164, 175, 0.3);
  box-shadow: 0 1px 3px rgba(140, 164, 175, 0.3);
  color: #163752;
  margin-left: 0.5rem;
  float: right;
}
.vex-dialog-button:disabled {
  opacity: 0.8;
  cursor: not-allowed;
}
.vex-dialog-button:focus,
.vex-dialog-button:active {
  outline: none;
  background-color: #1f73b5;
  background-image: linear-gradient(#2486d4, #1f73b5);
}
.vex-dialog-button.with-icon {
  padding-left: 1.75rem;
}
.vex-dialog-button.with-icon .icon {
  position: absolute;
  top: 50%;
  left: 0.675rem;
  -ms-transform: translateY(-50%);
      transform: translateY(-50%);
}
.vex-dialog-button.with-icon.small {
  padding-left: 1.5rem;
}
.vex-dialog-button.with-icon.small .icon {
  left: 0.5rem;
  width: 9px;
}
.vex-dialog-button.secondary {
  background-color: #fff;
  background-image: linear-gradient(#fff, #f9fcfe);
  border: 1px solid rgba(140, 164, 175, 0.3);
  box-shadow: 0 1px 3px rgba(140, 164, 175, 0.3);
  color: #163752;
}
.vex-dialog-button.secondary:focus,
.vex-dialog-button.secondary:active {
  background-color: #eee;
  background-image: linear-gradient(#fbfbfb, #f0f6f8);
}
.vex-dialog-button.danger {
  border: 1px solid #bc222d;
  background-color: #bc222d;
  background-image: linear-gradient(#af1f2a, #911a23);
  color: #fff;
}
.vex-dialog-button.danger:focus,
.vex-dialog-button.danger:active {
  background-color: #911a23;
  background-image: linear-gradient(#9a1c25, #841820);
}
.vex-dialog-button.small {
  padding: 0.3rem 0.4rem;
  font-size: 0.9rem;
}
.vex-dialog-button.large {
  padding: 0.735rem 1.2rem;
  font-size: 1rem;
}
.vex-dialog-button.right {
  float: right;
}
.vex-dialog-button.pinned-right {
  position: absolute;
  top: 1.5rem;
  right: 1.5rem;
}
.vex-dialog-button.loading:before {
  content: '';
  box-sizing: border-box;
  position: absolute;
  top: 50%;
  left: 50%;
  width: 20px;
  height: 20px;
  margin-top: -10px;
  margin-left: -10px;
  border-radius: 50%;
  border: 2px solid #adbec5;
  border-top-color: #344750;
  animation: spinner .6s linear infinite;
}
.vex-dialog-button.loading:before {
  border: 2px solid #eaf3fb;
  border-top-color: #2486d4;
}
.vex-dialog-button.loading span {
  visibility: hidden;
}
.vex-dialog-button:focus,
.vex-dialog-button:active {
  background-color: #eee;
  background-image: linear-gradient(#fbfbfb, #f0f6f8);
}
.vex-dialog-button.vex-dialog-button-primary {
  position: relative;
  display: inline-block;
  padding: 0.5675rem 0.9rem;
  margin: 0;
  background-color: #2486d4;
  background-image: linear-gradient(#3e97de, #2486d4);
  border-radius: 0.33rem;
  border: 1px solid #1f73b5;
  color: #fff;
  font-size: 0.9rem;
  font-family: 'Libre Franklin', 'Helvetica Neue', system-ui, sans-serif;
  line-height: 1;
  text-decoration: none;
  cursor: pointer;
  margin-left: 0.5rem;
}
.vex-dialog-button.vex-dialog-button-primary:disabled {
  opacity: 0.8;
  cursor: not-allowed;
}
.vex-dialog-button.vex-dialog-button-primary:focus,
.vex-dialog-button.vex-dialog-button-primary:active {
  outline: none;
  background-color: #1f73b5;
  background-image: linear-gradient(#2486d4, #1f73b5);
}
.vex-dialog-button.vex-dialog-button-primary.with-icon {
  padding-left: 1.75rem;
}
.vex-dialog-button.vex-dialog-button-primary.with-icon .icon {
  position: absolute;
  top: 50%;
  left: 0.675rem;
  -ms-transform: translateY(-50%);
      transform: translateY(-50%);
}
.vex-dialog-button.vex-dialog-button-primary.with-icon.small {
  padding-left: 1.5rem;
}
.vex-dialog-button.vex-dialog-button-primary.with-icon.small .icon {
  left: 0.5rem;
  width: 9px;
}
.vex-dialog-button.vex-dialog-button-primary.secondary {
  background-color: #fff;
  background-image: linear-gradient(#fff, #f9fcfe);
  border: 1px solid rgba(140, 164, 175, 0.3);
  box-shadow: 0 1px 3px rgba(140, 164, 175, 0.3);
  color: #163752;
}
.vex-dialog-button.vex-dialog-button-primary.secondary:focus,
.vex-dialog-button.vex-dialog-button-primary.secondary:active {
  background-color: #eee;
  background-image: linear-gradient(#fbfbfb, #f0f6f8);
}
.vex-dialog-button.vex-dialog-button-primary.danger {
  border: 1px solid #bc222d;
  background-color: #bc222d;
  background-image: linear-gradient(#af1f2a, #911a23);
  color: #fff;
}
.vex-dialog-button.vex-dialog-button-primary.danger:focus,
.vex-dialog-button.vex-dialog-button-primary.danger:active {
  background-color: #911a23;
  background-image: linear-gradient(#9a1c25, #841820);
}
.vex-dialog-button.vex-dialog-button-primary.small {
  padding: 0.3rem 0.4rem;
  font-size: 0.9rem;
}
.vex-dialog-button.vex-dialog-button-primary.large {
  padding: 0.735rem 1.2rem;
  font-size: 1rem;
}
.vex-dialog-button.vex-dialog-button-primary.right {
  float: right;
}
.vex-dialog-button.vex-dialog-button-primary.pinned-right {
  position: absolute;
  top: 1.5rem;
  right: 1.5rem;
}
.vex-dialog-button.vex-dialog-button-primary.loading:before {
  content: '';
  box-sizing: border-box;
  position: absolute;
  top: 50%;
  left: 50%;
  width: 20px;
  height: 20px;
  margin-top: -10px;
  margin-left: -10px;
  border-radius: 50%;
  border: 2px solid #adbec5;
  border-top-color: #344750;
  animation: spinner .6s linear infinite;
}
.vex-dialog-button.vex-dialog-button-primary.loading:before {
  border: 2px solid #eaf3fb;
  border-top-color: #2486d4;
}
.vex-dialog-button.vex-dialog-button-primary.loading span {
  visibility: hidden;
}
.dialog.large .vex-content {
  width: 1200px;
  padding: 1rem;
}
.dialog.warning-medium-narrow .vex-content {
  width: 500px;
  height: 200px;
  padding: 1rem;
  background-color: #ccffff;
}

@media (min-width: 768px) {
  .vex-content {
    top: 50%;
    -ms-transform: translateY(-50%) translateX(-50%);
    transform: translateY(-50%) translateX(-50%);
  }
}
